package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 权重(1.一般,2.重要,3.关键指标,4.重要指标)枚举类
*
* @author zxfei
*/
public enum WeightsEnum {
    一般("1", "一般"),
    重要("2", "重要"),
    关键指标("3", "关键指标"),
    重要指标("4", "重要指标");
    private String value;
    private String desc;

    WeightsEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static WeightsEnum getByValue(String value) {
        for (WeightsEnum weightsEnum : WeightsEnum.values()) {
            if (weightsEnum.getValue() == value) {
                return weightsEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (WeightsEnum item : WeightsEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}